PETSc version 3.15.5
Fix/Edit manual page

# PetscDSSetWeakForm

Sets the weak form object

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetWeakForm(PetscDS ds, PetscWeakForm wf)

Not collective

### Input Parameters

| ds | - The PetscDS object
| wf | - The weak form object

### See Also

PetscDSGetWeakForm(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages